/*
The Employee table has the following columns:

ID - integer, primary key
FirstName - variable-length string
LastName - variable-length string
ManagerID - integer
Write a SELECT statement to show a list of all employees' first names and their managers' first names. List only employees that have a manager. Order the results by Employee first name. Use aliases to give the result columns distinctly different names, like "Employee" and "Manager".
*/

/* Selects employees and managers with inner join */
SELECT E.FirstName AS Employee, M.FirstName AS Manager
FROM Employee AS E
INNER JOIN Employee AS M
ON M.ID = E.ManagerID
ORDER BY E.FirstName
;